/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: AppChannelSelectTag.java
 * Author:   duhui
 * Date:     2015年3月6日 下午2:01:52
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.tags;

import java.util.List;

import com.house365.tags.beans.AppChannel;

public class AppChannelSelectTag  extends AbstractEnumSelectTag<AppChannel> {
    
    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    @Override
    protected String getDefaultName() {
        return "id";
    }

    @Override
    protected List<AppChannel> getList() {
        return AppChannel.list();
    }

    @Override
    protected String getOptionLabel(AppChannel obj) {
        return obj.getShowName();
    }

    @Override
    protected Object getOptionValue(AppChannel obj) {
        return obj.getId();
    }
}
